/**
 * generated by Xtext
 */
package org.eclipse.etrice.core.fsm.fSM.impl;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.emf.ecore.impl.MinimalEObjectImpl;

import org.eclipse.etrice.core.fsm.fSM.FSMPackage;
import org.eclipse.etrice.core.fsm.fSM.TransitionTerminal;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Transition Terminal</b></em>'.
 * <!-- end-user-doc -->
 *
 * @generated
 */
public class TransitionTerminalImpl extends MinimalEObjectImpl.Container implements TransitionTerminal
{
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TransitionTerminalImpl()
	{
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass()
	{
		return FSMPackage.Literals.TRANSITION_TERMINAL;
	}

} //TransitionTerminalImpl
